Bug 104236 - number hot key causes segfault in menu
Summary: number hot key causes segfault in menu
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: dialog   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-11 16:07 UTC by Jared Smith-Mickelson
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:53:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:665 normal SHIPPED_LIVE Updated dialog package 2005-04-28 04:00:00 UTC

Description Jared Smith-Mickelson 2003-09-11 16:07:48 UTC
Description of problem: In a menu dialog, if the user types a numbered hot key 
that is one greater than the number of items in the menu, dialog will segfault, 
leaving the terminal settings in a bad state.


Version-Release number of selected component (if applicable): 0.9a-5


How reproducible: very


Steps to Reproduce:
1. dialog --menu foo 0 0 0 bar baz
2. type the number '2'
    
Actual results: dialog segfauls


Expected results: nothing should happen.  Two is not a valid menu item.  The 
behavior should be the same as when the number '3' is typed.


Additional info:

Comment 4 John Flanagan 2005-04-28 15:53:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-665.html



Note You need to log in before you can comment on or make changes to this bug.